Package de.gebit.integrity.services

## Class DSLGrammarAccess.StandardOperationElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.StandardOperationElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.StandardOperationElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardOperationElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Assignment` | `getFirstOperandAssignment_2()` |
    `org.eclipse.xtext.RuleCall` | `getFirstOperandValueOrEnumValueOrOperationParserRuleCall_2_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_4()` |
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_0()` |
    `org.eclipse.xtext.Assignment` | `getMoreOperandsAssignment_4_2()` |
    `org.eclipse.xtext.RuleCall` | `getMoreOperandsValueOrEnumValueOrOperationParserRuleCall_4_2_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_3()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_4_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_4_3()` |
    `org.eclipse.xtext.Alternatives` | `getOperatorsAlternatives_4_0_0()` |
    `org.eclipse.xtext.Assignment` | `getOperatorsAssignment_4_0()` |
    `org.eclipse.xtext.Keyword` | `getOperatorsAsteriskKeyword_4_0_0_2()` |
    `org.eclipse.xtext.Keyword` | `getOperatorsFullStopFullStopKeyword_4_0_0_5()` |
    `org.eclipse.xtext.Keyword` | `getOperatorsHyphenMinusKeyword_4_0_0_1()` |
    `org.eclipse.xtext.Keyword` | `getOperatorsPercentSignKeyword_4_0_0_4()` |
    `org.eclipse.xtext.Keyword` | `getOperatorsPlusSignKeyword_4_0_0_0()` |
    `org.eclipse.xtext.Keyword` | `getOperatorsSolidusKeyword_4_0_0_3()` |
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_5()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardOperationElements

          public StandardOperationElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getLeftParenthesisKeyword_0

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_0()

    - #### getNLParserRuleCall_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_1()

    - #### getFirstOperandAssignment_2

          public org.eclipse.xtext.Assignment getFirstOperandAssignment_2()

    - #### getFirstOperandValueOrEnumValueOrOperationParserRuleCall_2_0

          public org.eclipse.xtext.RuleCall getFirstOperandValueOrEnumValueOrOperationParserRuleCall_2_0()

    - #### getNLParserRuleCall_3

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_3()

    - #### getGroup_4

          public org.eclipse.xtext.Group getGroup_4()

    - #### getOperatorsAssignment_4_0

          public org.eclipse.xtext.Assignment getOperatorsAssignment_4_0()

    - #### getOperatorsAlternatives_4_0_0

          public org.eclipse.xtext.Alternatives getOperatorsAlternatives_4_0_0()

    - #### getOperatorsPlusSignKeyword_4_0_0_0

          public org.eclipse.xtext.Keyword getOperatorsPlusSignKeyword_4_0_0_0()

    - #### getOperatorsHyphenMinusKeyword_4_0_0_1

          public org.eclipse.xtext.Keyword getOperatorsHyphenMinusKeyword_4_0_0_1()

    - #### getOperatorsAsteriskKeyword_4_0_0_2

          public org.eclipse.xtext.Keyword getOperatorsAsteriskKeyword_4_0_0_2()

    - #### getOperatorsSolidusKeyword_4_0_0_3

          public org.eclipse.xtext.Keyword getOperatorsSolidusKeyword_4_0_0_3()

    - #### getOperatorsPercentSignKeyword_4_0_0_4

          public org.eclipse.xtext.Keyword getOperatorsPercentSignKeyword_4_0_0_4()

    - #### getOperatorsFullStopFullStopKeyword_4_0_0_5

          public org.eclipse.xtext.Keyword getOperatorsFullStopFullStopKeyword_4_0_0_5()

    - #### getNLParserRuleCall_4_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_4_1()

    - #### getMoreOperandsAssignment_4_2

          public org.eclipse.xtext.Assignment getMoreOperandsAssignment_4_2()

    - #### getMoreOperandsValueOrEnumValueOrOperationParserRuleCall_4_2_0

          public org.eclipse.xtext.RuleCall getMoreOperandsValueOrEnumValueOrOperationParserRuleCall_4_2_0()

    - #### getNLParserRuleCall_4_3

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_4_3()

    - #### getRightParenthesisKeyword_5

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_5()